Bug 768072 - Classloading issue (java.lang.LinkageError) after restarting Guvnor WAR
Classloading issue (java.lang.LinkageError) after restarting Guvnor WAR
Status: VERIFIED
Product: JBoss Enterprise BRMS Platform 5
Classification: JBoss
Component: BRM (Guvnor) (Show other bugs)
BRMS 5.3.0.GA
Unspecified Unspecified
unspecified Severity low
: ---
: BRMS 5.3.0.GA
Assigned To: Toni Rikkola
Sona Mala
: Regression
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-12-15 12:11 EST by Jiri Locker
Modified: 2012-05-18 06:23 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
JBoss EAP 5.1.1
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
server.log (7.95 KB, text/plain)
2011-12-15 12:13 EST, Jiri Locker
no flags Details

  None (edit)
Description Jiri Locker 2011-12-15 12:11:39 EST
Description of problem:
After stopping Guvnor web application and starting it again, the REST services stop working. Accessing any of the REST resources fails with the following error:

2011-12-15 17:22:28,299 ERROR [STDERR] (http-127.0.0.1-8080-2) java.lang.LinkageError: loader constraint violation: when resolving overridden method "com.sun.xml.bind.v2.runtime.MarshallerImpl.marshal(Ljava/lang/Object;Ljavax/xml/stream/XMLStreamWriter;)V" the class loader (instance of org/jboss/classloader/spi/base/BaseClassLoader) of the current class, com/sun/xml/bind/v2/runtime/MarshallerImpl, and its superclass loader (instance of <bootloader>), have different Class objects for the type javax/xml/stream/XMLStreamWriter used in the signature

Version-Release number of selected component (if applicable):
BRMS 5.3.0.DEV5

How reproducible:


Steps to Reproduce:

1. start server with Guvnor WAR deployed

2. import a repository and check the result of http://localhost:8080/jboss-brms/rest/packages

3. restart Guvnor
   - either in admin console
   - or using $JBOSS/bin/twiddle.sh like this:
> ./twiddle.sh -u <user> -p <password> -s localhost invoke jboss.web.deployment:war=/<war_name> <stop|start>

4. access http://localhost:8080/jboss-brms/rest/packages again and see server log for the exception
  
Actual results:
REST services stop working after restarting Guvnor (without stopping the server)

Expected results:
REST services should be available after restarting Guvnor (without stopping the server)

Additional info:
this is not issue for BRMS 5.2.0
Comment 1 Jiri Locker 2011-12-15 12:13:40 EST
Created attachment 547385 [details]
server.log
Comment 6 Toni Rikkola 2012-04-27 05:23:22 EDT
Can't reproduce with EAP 5.1 and BRMS 5.3.0 ER6. Going to try BRMS DEV5.
Comment 7 Toni Rikkola 2012-04-27 05:24:28 EDT
Can't reproduce with EAP 5.1 and BRMS 5.3.0 ER6. Going to try BRMS DEV5.
Comment 8 Toni Rikkola 2012-04-27 05:24:43 EDT
echo
Comment 9 Toni Rikkola 2012-04-27 07:21:46 EDT
Does fail in DEV5. I say this bug is out dated, some other fix fixed it.
Comment 11 Sona Mala 2012-05-17 07:41:50 EDT
Verified for BRMS 5.3.0 ER7

Note You need to log in before you can comment on or make changes to this bug.